/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include <stdio.h>
#include <stdlib.h>

#include "level.h"

int main(int argc, char **argv) {
	struct Level level;
	level.data = NULL;

	if (argc != 2) {
		fprintf(stderr, "ERROR: expected 1 argument, got %d\n", argc-1);
		return EXIT_FAILURE;
	}

	level_read(&level, argv[1]);
	level_free(&level);

	return EXIT_SUCCESS;
}
